#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.6.1
 Author:         Matwachich

 Script Function:


#ce ----------------------------------------------------------------------------

#include <perso\AutoItObject.au3>
#include <GDIPlus.au3>

_AutoItObject_Startup()

Global $oError = ObjEvent("AutoIt.Error", "_ErrFunc")
Func _ErrFunc()
    ConsoleWrite("! COM Error ! Number: 0x" & Hex($oError.number, 8) & " ScriptLine: " & $oError.scriptline & " - " & $oError.windescription & @CRLF)
    Return
EndFunc    ;==>_ErrFunc

#include "GEngin\GEng_System.au3"
#include "GEngin\GEng_Drawing.au3"
#include "GEngin\GEng_Images.au3"
#include "GEngin\GEng_Sprites.au3"

; ==============================================================
#Region - Example
; ==============================================================
Opt("MouseCoordMode", 2)

$main = _GEng_Window("Salut", 800, 600)
$img = _GEng_Image(@ScriptDir & "\gimp.png")
$spr = _GEng_Sprite($img, 600, 400)
$spr.SetOriginEx("middle")

Global $pos
Do
	$main.DrawStart(0xFF333333)
	; ---
	$pos = MouseGetPos()
	$spr.SetPos($pos[0], $pos[1])
	$spr.Draw()
	; ---
	$main.DrawEnd()
Until GuiGetMsg() = -3

$img = 0
$main = 0

#EndRegion
; ==============================================================